---
Name: bga_spam
---
UndefinedOffset\NoCaptcha\Forms\NocaptchaField:
  verify_ssl: true #Allows you to disable php-curl's SSL peer verification by setting this to false (optional, defaults to true)
  recaptcha_version: 3 # 2 or 3
  minimum_score: 0.4 # minimum spam score to achieve. Any less is blocked
  default_handle_submit: false

# The following options can also be specified through Environment variables with Injector config
SilverStripe\Core\Injector\Injector:
  UndefinedOffset\NoCaptcha\Forms\NocaptchaField:
    properties:
      SiteKey: '`SS_NOCAPTCHA_SITE_KEY`'
      SecretKey: '`SS_NOCAPTCHA_SECRET_KEY`'

SilverStripe\SpamProtection\Extension\FormSpamProtectionExtension:
  default_spam_protector: UndefinedOffset\NoCaptcha\Forms\NocaptchaProtector
